package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttPoldBase;
import org.apache.ibatis.annotations.Mapper;

/** 防洪闸信息 Mapper */
@Mapper
public interface AttPoldBaseMapper {
    /**
     * 查询防洪闸信息列表
     * 
     * @param attPoldBase 查询条件
     * @return 防洪闸信息列表
     */
    public List<AttPoldBase> selectAttPoldBaseList(AttPoldBase attPoldBase);

    /**
     * 通过防洪闸编码查询防洪闸信息
     * 
     * @param poldCode 防洪闸编码
     * @return 防洪闸信息
     */
    public AttPoldBase selectAttPoldBaseById(String poldCode);

    /**
     * 通过防洪闸编码删除防洪闸信息
     * 
     * @param poldCode 防洪闸编码
     * @return 影响行数
     */
    public int deleteAttPoldBaseById(String poldCode);

    /**
     * 批量删除防洪闸信息
     * 
     * @param poldCodes 防洪闸编码数组
     * @return 影响行数
     */
    public int deleteAttPoldBaseByIds(String[] poldCodes);

    /**
     * 修改防洪闸信息
     * 
     * @param attPoldBase 防洪闸信息
     * @return 影响行数
     */
    public int updateAttPoldBase(AttPoldBase attPoldBase);

    /**
     * 新增防洪闸信息
     * 
     * @param attPoldBase 防洪闸信息
     * @return 影响行数
     */
    public int insertAttPoldBase(AttPoldBase attPoldBase);
}
